Index: /XIOS/trunk/src/interface/fortran_attr/iscalargroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 1536)
+++ /XIOS/trunk/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 1537)
@@ -12,12 +12,19 @@
 
   SUBROUTINE xios(set_scalargroup_attr)  &
-    ( scalargroup_id, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value )
+    ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+    , positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup))  :: scalargroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::scalargroup_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: label
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
@@ -29,18 +36,24 @@
       (scalargroup_id,scalargroup_hdl)
       CALL xios(set_scalargroup_attr_hdl_)   &
-      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-       )
+      ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+      , positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalargroup_attr)
 
   SUBROUTINE xios(set_scalargroup_attr_hdl)  &
-    ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-     )
+    ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+    , positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: label
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
@@ -50,18 +63,24 @@
 
       CALL xios(set_scalargroup_attr_hdl_)  &
-      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-       )
+      ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+      , positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalargroup_attr_hdl)
 
   SUBROUTINE xios(set_scalargroup_attr_hdl_)   &
-    ( scalargroup_hdl, group_ref_, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_  &
-    , value_ )
+    ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
+    , name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: label_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive_
       INTEGER  , OPTIONAL, INTENT(IN) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref_
@@ -70,4 +89,24 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value_
 
+      IF (PRESENT(axis_type_)) THEN
+        CALL cxios_set_scalargroup_axis_type &
+      (scalargroup_hdl%daddr, axis_type_, len(axis_type_))
+      ENDIF
+
+      IF (PRESENT(bounds_)) THEN
+        CALL cxios_set_scalargroup_bounds &
+      (scalargroup_hdl%daddr, bounds_, SHAPE(bounds_))
+      ENDIF
+
+      IF (PRESENT(bounds_name_)) THEN
+        CALL cxios_set_scalargroup_bounds_name &
+      (scalargroup_hdl%daddr, bounds_name_, len(bounds_name_))
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_set_scalargroup_comment &
+      (scalargroup_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(group_ref_)) THEN
         CALL cxios_set_scalargroup_group_ref &
@@ -75,4 +114,9 @@
       ENDIF
 
+      IF (PRESENT(label_)) THEN
+        CALL cxios_set_scalargroup_label &
+      (scalargroup_hdl%daddr, label_, len(label_))
+      ENDIF
+
       IF (PRESENT(long_name_)) THEN
         CALL cxios_set_scalargroup_long_name &
@@ -85,4 +129,9 @@
       ENDIF
 
+      IF (PRESENT(positive_)) THEN
+        CALL cxios_set_scalargroup_positive &
+      (scalargroup_hdl%daddr, positive_, len(positive_))
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         CALL cxios_set_scalargroup_prec &
@@ -113,12 +162,19 @@
 
   SUBROUTINE xios(get_scalargroup_attr)  &
-    ( scalargroup_id, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value )
+    ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+    , positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup))  :: scalargroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::scalargroup_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: label
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
@@ -130,18 +186,24 @@
       (scalargroup_id,scalargroup_hdl)
       CALL xios(get_scalargroup_attr_hdl_)   &
-      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-       )
+      ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+      , positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalargroup_attr)
 
   SUBROUTINE xios(get_scalargroup_attr_hdl)  &
-    ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-     )
+    ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+    , positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: label
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
@@ -151,18 +213,24 @@
 
       CALL xios(get_scalargroup_attr_hdl_)  &
-      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-       )
+      ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+      , positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalargroup_attr_hdl)
 
   SUBROUTINE xios(get_scalargroup_attr_hdl_)   &
-    ( scalargroup_hdl, group_ref_, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_  &
-    , value_ )
+    ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
+    , name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: label_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive_
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref_
@@ -171,4 +239,24 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value_
 
+      IF (PRESENT(axis_type_)) THEN
+        CALL cxios_get_scalargroup_axis_type &
+      (scalargroup_hdl%daddr, axis_type_, len(axis_type_))
+      ENDIF
+
+      IF (PRESENT(bounds_)) THEN
+        CALL cxios_get_scalargroup_bounds &
+      (scalargroup_hdl%daddr, bounds_, SHAPE(bounds_))
+      ENDIF
+
+      IF (PRESENT(bounds_name_)) THEN
+        CALL cxios_get_scalargroup_bounds_name &
+      (scalargroup_hdl%daddr, bounds_name_, len(bounds_name_))
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_get_scalargroup_comment &
+      (scalargroup_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(group_ref_)) THEN
         CALL cxios_get_scalargroup_group_ref &
@@ -176,4 +264,9 @@
       ENDIF
 
+      IF (PRESENT(label_)) THEN
+        CALL cxios_get_scalargroup_label &
+      (scalargroup_hdl%daddr, label_, len(label_))
+      ENDIF
+
       IF (PRESENT(long_name_)) THEN
         CALL cxios_get_scalargroup_long_name &
@@ -186,4 +279,9 @@
       ENDIF
 
+      IF (PRESENT(positive_)) THEN
+        CALL cxios_get_scalargroup_positive &
+      (scalargroup_hdl%daddr, positive_, len(positive_))
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         CALL cxios_get_scalargroup_prec &
@@ -214,15 +312,28 @@
 
   SUBROUTINE xios(is_defined_scalargroup_attr)  &
-    ( scalargroup_id, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value )
+    ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+    , positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup))  :: scalargroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::scalargroup_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type
+      LOGICAL(KIND=C_BOOL) :: axis_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds
+      LOGICAL(KIND=C_BOOL) :: bounds_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
+      LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: label
+      LOGICAL(KIND=C_BOOL) :: label_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
       LOGICAL(KIND=C_BOOL) :: long_name_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive
+      LOGICAL(KIND=C_BOOL) :: positive_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
@@ -239,21 +350,33 @@
       (scalargroup_id,scalargroup_hdl)
       CALL xios(is_defined_scalargroup_attr_hdl_)   &
-      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-       )
+      ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+      , positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalargroup_attr)
 
   SUBROUTINE xios(is_defined_scalargroup_attr_hdl)  &
-    ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-     )
+    ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+    , positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type
+      LOGICAL(KIND=C_BOOL) :: axis_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds
+      LOGICAL(KIND=C_BOOL) :: bounds_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
+      LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: label
+      LOGICAL(KIND=C_BOOL) :: label_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
       LOGICAL(KIND=C_BOOL) :: long_name_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive
+      LOGICAL(KIND=C_BOOL) :: positive_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
@@ -268,21 +391,33 @@
 
       CALL xios(is_defined_scalargroup_attr_hdl_)  &
-      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
-       )
+      ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, name  &
+      , positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalargroup_attr_hdl)
 
   SUBROUTINE xios(is_defined_scalargroup_attr_hdl_)   &
-    ( scalargroup_hdl, group_ref_, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_  &
-    , value_ )
+    ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
+    , name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
       TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type_
+      LOGICAL(KIND=C_BOOL) :: axis_type__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_
+      LOGICAL(KIND=C_BOOL) :: bounds__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name_
+      LOGICAL(KIND=C_BOOL) :: bounds_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
+      LOGICAL(KIND=C_BOOL) :: comment__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
       LOGICAL(KIND=C_BOOL) :: group_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: label_
+      LOGICAL(KIND=C_BOOL) :: label__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: long_name_
       LOGICAL(KIND=C_BOOL) :: long_name__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive_
+      LOGICAL(KIND=C_BOOL) :: positive__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
       LOGICAL(KIND=C_BOOL) :: prec__tmp
@@ -296,4 +431,28 @@
       LOGICAL(KIND=C_BOOL) :: value__tmp
 
+      IF (PRESENT(axis_type_)) THEN
+        axis_type__tmp = cxios_is_defined_scalargroup_axis_type &
+      (scalargroup_hdl%daddr)
+        axis_type_ = axis_type__tmp
+      ENDIF
+
+      IF (PRESENT(bounds_)) THEN
+        bounds__tmp = cxios_is_defined_scalargroup_bounds &
+      (scalargroup_hdl%daddr)
+        bounds_ = bounds__tmp
+      ENDIF
+
+      IF (PRESENT(bounds_name_)) THEN
+        bounds_name__tmp = cxios_is_defined_scalargroup_bounds_name &
+      (scalargroup_hdl%daddr)
+        bounds_name_ = bounds_name__tmp
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        comment__tmp = cxios_is_defined_scalargroup_comment &
+      (scalargroup_hdl%daddr)
+        comment_ = comment__tmp
+      ENDIF
+
       IF (PRESENT(group_ref_)) THEN
         group_ref__tmp = cxios_is_defined_scalargroup_group_ref &
@@ -302,4 +461,10 @@
       ENDIF
 
+      IF (PRESENT(label_)) THEN
+        label__tmp = cxios_is_defined_scalargroup_label &
+      (scalargroup_hdl%daddr)
+        label_ = label__tmp
+      ENDIF
+
       IF (PRESENT(long_name_)) THEN
         long_name__tmp = cxios_is_defined_scalargroup_long_name &
@@ -314,4 +479,10 @@
       ENDIF
 
+      IF (PRESENT(positive_)) THEN
+        positive__tmp = cxios_is_defined_scalargroup_positive &
+      (scalargroup_hdl%daddr)
+        positive_ = positive__tmp
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         prec__tmp = cxios_is_defined_scalargroup_prec &
Index: /XIOS/trunk/src/interface/fortran_attr/itemporal_splitting_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/itemporal_splitting_attr.F90	(revision 1537)
+++ /XIOS/trunk/src/interface/fortran_attr/itemporal_splitting_attr.F90	(revision 1537)
@@ -0,0 +1,112 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE itemporal_splitting_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE itemporal_splitting
+  USE temporal_splitting_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_temporal_splitting_attr)  &
+    ( temporal_splitting_id )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting))  :: temporal_splitting_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::temporal_splitting_id
+
+      CALL xios(get_temporal_splitting_handle) &
+      (temporal_splitting_id,temporal_splitting_hdl)
+      CALL xios(set_temporal_splitting_attr_hdl_)   &
+      ( temporal_splitting_hdl )
+
+  END SUBROUTINE xios(set_temporal_splitting_attr)
+
+  SUBROUTINE xios(set_temporal_splitting_attr_hdl)  &
+    ( temporal_splitting_hdl )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting)) , INTENT(IN) :: temporal_splitting_hdl
+
+      CALL xios(set_temporal_splitting_attr_hdl_)  &
+      ( temporal_splitting_hdl )
+
+  END SUBROUTINE xios(set_temporal_splitting_attr_hdl)
+
+  SUBROUTINE xios(set_temporal_splitting_attr_hdl_)   &
+    ( temporal_splitting_hdl )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting)) , INTENT(IN) :: temporal_splitting_hdl
+
+  END SUBROUTINE xios(set_temporal_splitting_attr_hdl_)
+
+  SUBROUTINE xios(get_temporal_splitting_attr)  &
+    ( temporal_splitting_id )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting))  :: temporal_splitting_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::temporal_splitting_id
+
+      CALL xios(get_temporal_splitting_handle) &
+      (temporal_splitting_id,temporal_splitting_hdl)
+      CALL xios(get_temporal_splitting_attr_hdl_)   &
+      ( temporal_splitting_hdl )
+
+  END SUBROUTINE xios(get_temporal_splitting_attr)
+
+  SUBROUTINE xios(get_temporal_splitting_attr_hdl)  &
+    ( temporal_splitting_hdl )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting)) , INTENT(IN) :: temporal_splitting_hdl
+
+      CALL xios(get_temporal_splitting_attr_hdl_)  &
+      ( temporal_splitting_hdl )
+
+  END SUBROUTINE xios(get_temporal_splitting_attr_hdl)
+
+  SUBROUTINE xios(get_temporal_splitting_attr_hdl_)   &
+    ( temporal_splitting_hdl )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting)) , INTENT(IN) :: temporal_splitting_hdl
+
+  END SUBROUTINE xios(get_temporal_splitting_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_temporal_splitting_attr)  &
+    ( temporal_splitting_id )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting))  :: temporal_splitting_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::temporal_splitting_id
+
+      CALL xios(get_temporal_splitting_handle) &
+      (temporal_splitting_id,temporal_splitting_hdl)
+      CALL xios(is_defined_temporal_splitting_attr_hdl_)   &
+      ( temporal_splitting_hdl )
+
+  END SUBROUTINE xios(is_defined_temporal_splitting_attr)
+
+  SUBROUTINE xios(is_defined_temporal_splitting_attr_hdl)  &
+    ( temporal_splitting_hdl )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting)) , INTENT(IN) :: temporal_splitting_hdl
+
+      CALL xios(is_defined_temporal_splitting_attr_hdl_)  &
+      ( temporal_splitting_hdl )
+
+  END SUBROUTINE xios(is_defined_temporal_splitting_attr_hdl)
+
+  SUBROUTINE xios(is_defined_temporal_splitting_attr_hdl_)   &
+    ( temporal_splitting_hdl )
+
+    IMPLICIT NONE
+      TYPE(txios(temporal_splitting)) , INTENT(IN) :: temporal_splitting_hdl
+
+  END SUBROUTINE xios(is_defined_temporal_splitting_attr_hdl_)
+
+END MODULE itemporal_splitting_attr
Index: /XIOS/trunk/src/interface/fortran_attr/reduce_axis_to_axis_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/reduce_axis_to_axis_interface_attr.F90	(revision 1537)
+++ /XIOS/trunk/src/interface/fortran_attr/reduce_axis_to_axis_interface_attr.F90	(revision 1537)
@@ -0,0 +1,34 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "../fortran/xios_fortran_prefix.hpp"
+
+MODULE reduce_axis_to_axis_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+
+  INTERFACE
+    ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_reduce_axis_to_axis_operation(reduce_axis_to_axis_hdl, operation, operation_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: operation
+      INTEGER  (kind = C_INT)     , VALUE        :: operation_size
+    END SUBROUTINE cxios_set_reduce_axis_to_axis_operation
+
+    SUBROUTINE cxios_get_reduce_axis_to_axis_operation(reduce_axis_to_axis_hdl, operation, operation_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: operation
+      INTEGER  (kind = C_INT)     , VALUE        :: operation_size
+    END SUBROUTINE cxios_get_reduce_axis_to_axis_operation
+
+    FUNCTION cxios_is_defined_reduce_axis_to_axis_operation(reduce_axis_to_axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_reduce_axis_to_axis_operation
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_axis_hdl
+    END FUNCTION cxios_is_defined_reduce_axis_to_axis_operation
+
+  END INTERFACE
+
+END MODULE reduce_axis_to_axis_interface_attr
Index: /XIOS/trunk/src/interface/fortran_attr/reduce_domain_to_axis_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/reduce_domain_to_axis_interface_attr.F90	(revision 1536)
+++ /XIOS/trunk/src/interface/fortran_attr/reduce_domain_to_axis_interface_attr.F90	(revision 1537)
@@ -31,4 +31,23 @@
 
 
+    SUBROUTINE cxios_set_reduce_domain_to_axis_local(reduce_domain_to_axis_hdl, local) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_domain_to_axis_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: local
+    END SUBROUTINE cxios_set_reduce_domain_to_axis_local
+
+    SUBROUTINE cxios_get_reduce_domain_to_axis_local(reduce_domain_to_axis_hdl, local) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_domain_to_axis_hdl
+      LOGICAL (KIND=C_BOOL)             :: local
+    END SUBROUTINE cxios_get_reduce_domain_to_axis_local
+
+    FUNCTION cxios_is_defined_reduce_domain_to_axis_local(reduce_domain_to_axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_reduce_domain_to_axis_local
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_domain_to_axis_hdl
+    END FUNCTION cxios_is_defined_reduce_domain_to_axis_local
+
+
     SUBROUTINE cxios_set_reduce_domain_to_axis_operation(reduce_domain_to_axis_hdl, operation, operation_size) BIND(C)
       USE ISO_C_BINDING
Index: /XIOS/trunk/src/interface/fortran_attr/reduce_domain_to_scalar_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/reduce_domain_to_scalar_interface_attr.F90	(revision 1536)
+++ /XIOS/trunk/src/interface/fortran_attr/reduce_domain_to_scalar_interface_attr.F90	(revision 1537)
@@ -9,4 +9,23 @@
   INTERFACE
     ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_reduce_domain_to_scalar_local(reduce_domain_to_scalar_hdl, local) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_domain_to_scalar_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: local
+    END SUBROUTINE cxios_set_reduce_domain_to_scalar_local
+
+    SUBROUTINE cxios_get_reduce_domain_to_scalar_local(reduce_domain_to_scalar_hdl, local) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_domain_to_scalar_hdl
+      LOGICAL (KIND=C_BOOL)             :: local
+    END SUBROUTINE cxios_get_reduce_domain_to_scalar_local
+
+    FUNCTION cxios_is_defined_reduce_domain_to_scalar_local(reduce_domain_to_scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_reduce_domain_to_scalar_local
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_domain_to_scalar_hdl
+    END FUNCTION cxios_is_defined_reduce_domain_to_scalar_local
+
 
     SUBROUTINE cxios_set_reduce_domain_to_scalar_operation(reduce_domain_to_scalar_hdl, operation, operation_size) BIND(C)
Index: /XIOS/trunk/src/interface/fortran_attr/reduce_scalar_to_scalar_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/reduce_scalar_to_scalar_interface_attr.F90	(revision 1537)
+++ /XIOS/trunk/src/interface/fortran_attr/reduce_scalar_to_scalar_interface_attr.F90	(revision 1537)
@@ -0,0 +1,34 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "../fortran/xios_fortran_prefix.hpp"
+
+MODULE reduce_scalar_to_scalar_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+
+  INTERFACE
+    ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_reduce_scalar_to_scalar_operation(reduce_scalar_to_scalar_hdl, operation, operation_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_scalar_to_scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: operation
+      INTEGER  (kind = C_INT)     , VALUE        :: operation_size
+    END SUBROUTINE cxios_set_reduce_scalar_to_scalar_operation
+
+    SUBROUTINE cxios_get_reduce_scalar_to_scalar_operation(reduce_scalar_to_scalar_hdl, operation, operation_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_scalar_to_scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: operation
+      INTEGER  (kind = C_INT)     , VALUE        :: operation_size
+    END SUBROUTINE cxios_get_reduce_scalar_to_scalar_operation
+
+    FUNCTION cxios_is_defined_reduce_scalar_to_scalar_operation(reduce_scalar_to_scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_reduce_scalar_to_scalar_operation
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_scalar_to_scalar_hdl
+    END FUNCTION cxios_is_defined_reduce_scalar_to_scalar_operation
+
+  END INTERFACE
+
+END MODULE reduce_scalar_to_scalar_interface_attr
